1. Payment
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
          POST
        • Payment
          GET
Need help?
  1. Payment

Payment

POST
https://staging-integrations.confirmafinance.com/api/v1/partner/accounting/payment
paymentnetvisornetbaronaccounting
This interface is used to submit new accounting payments to third-party accounting services such as Netvisor, Procountor and NetBaron. Each payload contains a complete set of accounting payments to be transferred to the selected service provider.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Body Params application/json

Examples
{
    "payments": [
        {
            "paymentIdentifier": "abc-123-def-456",
            "invoiceNumber": "133720800",
            "paymentDate": "2026-02-25",
            "bookingDate": null,
            "amount": 110.0,
            "currency": "EUR",
            "targetIdentifier": "invoicenumber",
            "paymentReference": "1337109",
            "sourceName": "Matti Meikäläinen",
            "paymentMethodType": "alternative",
            "description": "cash-in",
            "bankAccountNumber": "FI7263812",
            "rows": [
                {
                    "paymentType": null,
                    "description": "Payment",
                    "accountNumber": 1910,
                    "amount": 110,
                    "vatPercent": null,
                    "vatCode": null
                },
                {
                    "paymentType": null,
                    "description": "Interest",
                    "accountNumber": 1910,
                    "amount": -10,
                    "vatPercent": null,
                    "vatCode": null
                },
                {
                    "paymentType": null,
                    "description": "Counter Account",
                    "accountNumber": 1601,
                    "amount": -100,
                    "vatPercent": null,
                    "vatCode": null
                }
            ]
        }
    ]
}

Responses

🟢200
application/json
Body

Example
{}
🟠401Unauthorized
Previous
Ledger
Next
Payment
Built with